<script setup>
import countriesJson from "@/assets/countries.json"
import { ref, reactive, onMounted } from "vue";
//import { _shuffle } from "lodash";

const countries = reactive(countriesJson.map(
  c => ({
    code: c.code,
    flag: c.flags.svg,
    borders: c.borders,
    status: false
  })
))

function onMounted
</script>

<template>
  <div class="container">
    <div class="row">
      <div class="col-sm-2" 
        v-for="country in countries" 
        :key="country.code"
        @click="country.status = !country.status">
        <img v-if="country.status" :src="country.flag" class="flag">
        <img v-else src="https://upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Flag_of_Europe.svg/1200px-Flag_of_Europe.svg.png?20081021155534" class="flag">
      </div>
    </div>
  </div>
</template>

<style scoped>
.flag {
  width: 100px;
  height: 80px;
  border: 1px solid black;
  margin: 10px;
}
</style>
